## obs-studio 31.1.2

=== debian/changelog ===
obs-studio (31.1.2-0obsproject1~plucky) plucky; urgency=low

  OBS Studio 31.1.2

  Note: The code signing certificate for OBS has been updated. This may impact game capture compatibility with some anti-cheat solutions with this OBS update. If you are a game or anti-cheat developer please see https://obsproject.com/kb/capture-hook-certificate-update for more information.

  31.1.2 Hotfix Changes

  * Fixed an issue in OBS Studio 31.1.0 and 31.1.1 causing Multitrack Video to set the Maximum Video Tracks to 10 if the user had set it to "Auto" [dsaedtler]
  * Fixed an issue in OBS Studio 31.1.0 and 31.1.1 causing Browser Source hardware acceleration to fail in the Flatpak version [reitowo/tytan652]
  * Fixed an issue in OBS Studio 31.1.0 and 31.1.1 where progress bars were styled incorrectly [Warchamp7]
  * Fixed an issue in OBS Studio 31.1.0 and 31.1.1 where spacing around scrollbars was incorrect [Warchamp7]
  * Fixed a freeze in OBS Studio 31.1.0 and 31.1.1 on Linux when using PipeWire capture with explicit sync [YaLTeR]
  * Fixed an issue where Video Capture Devices on Linux could unexpectedly stop capturing video [JiangXsong]
  * Fixed an issue with PipeWire capture on Linux where video filters could cause gamma shift [tytan652]
  * This was done by reverting a fix for white-tinted PipeWire captures in 10-bit or 16-bit color formats, so that issue will return for now.
  
  31.1.1 Hotfix Changes

  * Fixed a crash when using YouTube browser docks [Warchamp7]
  * Fixed an issue causing RTMPS streams to fail in some cases [RytoEX]
  * Fixed an issue causing Media Sources ingesting SRT streams to fail in some cases [RytoEX]
  * Fixed an issue causing Browser Source hardware acceleration to fail on Linux [reitowo/tytan652]

  31.1 New Features

  * Added support for Windows on Arm (WoA) [thirumalai-qcom/PatTheMav/RytoEX]
  * Builds for WoA are not fully featured and should be considered experimental
  * For more information, see: https://obsproject.com/kb/windows-on-arm
  * Added new UI appearance options, font size and density (padding/spacing) [Warchamp7]
  * Added preview zoom controls [cg2121/Warchamp7]
  * Added support for Multitrack Video to macOS (Apple Silicon) [dsaedtler]
  * Added support for Multitrack Video to Linux [lexano-ivs]
  * Added support for additional canvases for Multitrack Video output [dsaedtler]
  * Added AV1 B-frame support for AMF [rhutsAMD]
  * Added support for color format/space/range GPU conversion [dsaedtler]
  * Added support for network optimizations and TCP Pacing to Multitrack Video [lexano-ivs]
  * Added support for Stream Delay to Multitrack Video [lexano-ivs]
  * Added Spatial AQ option for VideoToolbox encoders on macOS 15+ [dsaedtler]
  * Added QVBR rate control for VA-API [nowrep]
  * Added explicit sync support for PipeWire Screen Capture [dkorkmazturk]
  * Added support for V4L2 virtual camera on non-Linux environments (e.g., BSD) [yurivict]
  * Added support for hardware accelerated browser source to Linux [tytan652]
  * The feature is disabled on NVIDIA GPUs due to feature-support inconsistencies across model series and driver series

  31.1 Changes

  * Updated game capture hook signatures on Windows [derrod]
  * This update fixes game capture with games from Riot Games that use Vanguard
  * Added logging for streaming service recommended settings [prgmitchell]
  * Adjusted appearance of Scene Collection importer [Warchamp7]
  * Adjusted appearance of Sources list [Warchamp7]
  * Adjusted appearance of dock toolbars [Warchamp7]
  * Adjusted Missing Files dialog [Warchamp7]
  * Added support for recursive directory searches up to two levels deep
  * Adjusted the size, layout, and other UI aspects of the dialog
  * Fixed a bug when locating only a single file that caused the additional files prompt to appear twice
  * Reorganized Preview/Source context menu [Warchamp7]
  * Unified appearance of menus [Warchamp7]
  * Improved preview draw performance [Lain-B]
  * Increased maximum crash report size to 200 KB [WizardCM]
  * Adjusted Multitrack Video reconnection behavior [dsaedtler]
  * Changed hotkeys on macOS to require Input Monitoring permission instead of Accessibility [gxalpha]
  * Updated Video Capture Devices and Capture Card Devices on macOS to a unified list-based format selector when not using a preset [jcm93/PatTheMav/Warchamp7]
  * Removed the Exit button from the Controls dock [Warchamp7]

  31.1 Bug Fixes

  * Fixed a crash with Media Sources with no video frame size, such as audio files [RytoEX/jeiea]
  * Fixed a crash on Windows with Display Capture if no display is available [RytoEX]
  * Fixed a crash on Windows with Vulkan Direct Display if OBS Studio is installed [mbechard]
  * Fixed a crash on Windows when importing a profile with a Unicode path [PatTheMav]
  * Fixed a crash on macOS 13 or older when a Browser Source or Browser Dock was added or loaded [jcm93/PatTheMav/RytoEX]
  * Fixed a race condition that caused subsequent recordings to fail/hang after an encoder timeout [derrod]
  * Fixed a freeze if an item was cropped further than its original dimensions [Lain-B]
  * Fixed a possible crash in Multitrack Video output [lexano-ivs]
  * Fixed a possible crash when reordering scene items [zavitax]
  * Fixed a possible crash when adding a procedure handler [norihiro]
  * Fixed a possible crash on shutdown from browser panels on Windows and macOS [WizardCM]
  * Fixed a possible race condition when loading sources [Lain-B]
  * Fixed a possible deadlock on Linux when checking if plugins were built against Qt5 [norihiro]
  * Fixed an issue with Rescale Output allowing invalid resolutions [flaeri]
  * Fixed an issue with browser source audio distortion on Windows [xtfo]
  * Fixed a possible packet loss issue with WebRTC output [Sean-Der]
  * Fixed R10L format output having bad RGB values [jpark37]
  * Fixed lookahead depth value logging for NVENC [DeeDeeG]
  * Fixed manifest commit hash comparison in updater [dsaedtler]


=== debian/control ===
Source: obs-studio
Section: video
Priority: optional
Maintainer: John Bradley <jrb@turrettech.com>
Uploaders: Kevin Henkel <obs.goldace@gmail.com>
Build-Depends: debhelper (>= 9), cdbs, cmake, git, libx11-dev, libgl1-mesa-dev | libgl-dev, libpulse-dev, libxcb-composite0-dev, libxinerama-dev, libv4l-dev, libudev-dev, libfreetype6-dev, libfontconfig-dev, qt6-base-dev, qt6-base-private-dev, libqt6svg6-dev, libx264-dev, libxcb-xinerama0-dev, libxcb-shm0-dev, libavformat-dev, libavcodec-dev, libavutil-dev, libswscale-dev, libswresample-dev, libavdevice-dev, libavfilter-dev, libfdk-aac-dev, libjack-jackd2-dev, libcurl4-openssl-dev, libspeexdsp-dev, libvlc-dev, libasound2-dev, libluajit-5.1-dev, python3-dev, swig, libmbedtls-dev, pkg-config, libxcb-randr0-dev, libxcb-xfixes0-dev, libx11-xcb-dev, libxcb1-dev, libjansson-dev, libnss3-dev, libxtst-dev, libatspi2.0-dev, libatk-bridge2.0-dev, libatk1.0-dev, libgtk2.0-dev, libgtkglext1-dev, libxss-dev, linux-generic, v4l2loopback-dkms, libwayland-dev, libpci-dev, libdrm-dev, libpipewire-0.3-dev, librist-dev, libsrt-openssl-dev, libva-dev, libuuid1, nlohmann-json3-dev, libwebsocketpp-dev, libasio-dev, libvpl-dev, libqrcodegencpp-dev, libffmpeg-nvenc-dev, uthash-dev, extra-cmake-modules
Homepage: http://obsproject.org

Package: obs-studio
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, qt6-wayland, qt6-qpa-plugins
Conflicts: libobs0, obs-plugins
Description: OBS Studio for Ubuntu

=== debian/rules ===
#!/usr/bin/make -f

BASE_DIR := $(CURDIR)
CEF_DIR := $(BASE_DIR)/build_dependencies/cef_binary_6533_linux_x86_64_stripped
AJA_DIR := $(BASE_DIR)/build_dependencies/aja
 
%:
		dh $@
override_dh_auto_configure:
		dh_auto_configure -- -DOBS_VERSION_OVERRIDE="31.1.2" -DTWITCH_CLIENTID='unla3~mb`xq9`1dhr?1lhhg`65mah0' -DTWITCH_HASH='2D4A98C454B4B0B6' -DRESTREAM_CLIENTID='ml6b16ec(n9?1#9g?m#>9f0,gnkojhhd;oh6' -DRESTREAM_HASH='2DE8E8C514397EE9' -DYOUTUBE_CLIENTID='153066229607$$;a7mw2ig756r?vc<f{`3tr3|i4gq167?$$lrpw,``jbnerwb{ibltals!fjo' -DYOUTUBE_CLIENTID_HASH='2DA97470255F7240' -DYOUTUBE_SECRET=';kV4NTXP5r>D`7bdLO^>gT8U' -DYOUTUBE_SECRET_HASH='F6215E72FC78C76F' -DENABLE_PIPEWIRE=ON -DENABLE_AJA=ON -DENABLE_NEW_MPEGTS_OUTPUT=ON -DCMAKE_PREFIX_PATH=$(AJA_DIR) -DCEF_ROOT_DIR=$(CEF_DIR) -DCMAKE_BUILD_TYPE=Release -DENABLE_WEBRTC=OFF -DENABLE_LIBFDK=ON -DENABLE_JACK=ON -DENABLE_RTMPS=ON -DENABLE_BROWSER=ON -DOBS_CMAKE_VERSION=3

## obs-studio 32.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/common/bootstrap.cmake" NO_POLICY_SCOPE)

project(obs-studio VERSION ${OBS_VERSION_CANONICAL})

if(CMAKE_HOST_SYSTEM_NAME MATCHES "Windows")
  include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/windows/architecture.cmake")
  if(NOT OBS_PARENT_ARCHITECTURE STREQUAL CMAKE_VS_PLATFORM_NAME)
    return()
  endif()
endif()

include(compilerconfig)
include(defaults)
include(helpers)

option(ENABLE_UI "Enable building with UI (requires Qt)" ON)
option(ENABLE_SCRIPTING "Enable scripting support" ON)
option(ENABLE_HEVC "Enable HEVC encoders" ON)

add_subdirectory(libobs)
if(OS_WINDOWS)
  add_subdirectory(libobs-d3d11)
  add_subdirectory(libobs-winrt)
endif()
add_subdirectory(libobs-opengl)
if(OS_MACOS)
  add_subdirectory(libobs-metal)
endif()
add_subdirectory(plugins)

add_subdirectory(test/test-input)

add_subdirectory(frontend)

message_configuration()

=== libobs-metal/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

add_library(libobs-metal SHARED)
add_library(OBS::libobs-metal ALIAS libobs-metal)

target_sources(
  libobs-metal
  PRIVATE
    CVPixelFormat+Extensions.swift
    MTLCullMode+Extensions.swift
    MTLOrigin+Extensions.swift
    MTLPixelFormat+Extensions.swift
    MTLRegion+Extensions.swift
    MTLSize+Extensions.swift
    MTLTexture+Extensions.swift
    MTLTextureDescriptor+Extensions.swift
    MTLTextureType+Extensions.swift
    MTLViewport+Extensions.swift
    MetalBuffer.swift
    MetalDevice.swift
    MetalError.swift
    MetalRenderState.swift
    MetalShader+Extensions.swift
    MetalShader.swift
    MetalStageBuffer.swift
    MetalTexture.swift
    OBSShader.swift
    OBSSwapChain.swift
    Sequence+Hashable.swift
    libobs+Extensions.swift
    libobs+SignalHandlers.swift
    libobs-metal-Bridging-Header.h
    metal-indexbuffer.swift
    metal-samplerstate.swift
    metal-shader.swift
    metal-stagesurf.swift
    metal-subsystem.swift
    metal-swapchain.swift
    metal-texture2d.swift
    metal-texture3d.swift
    metal-unimplemented.swift
    metal-vertexbuffer.swift
    metal-zstencilbuffer.swift
)

target_link_libraries(libobs-metal PRIVATE OBS::libobs)

target_enable_feature(libobs "Metal renderer")

set_property(SOURCE OBSMetalRenderer.swift APPEND PROPERTY COMPILE_FLAGS -emit-objc-header)

set_target_properties_obs(
    libobs-metal
    PROPERTIES FOLDER core
               VERSION 0
               PREFIX ""
)

set_target_xcode_properties(
    libobs-metal
    PROPERTIES SWIFT_VERSION 6.0
               CLANG_ENABLE_OBJC_ARC YES
               CLANG_WARN_SUSPICIOUS_IMPLICIT_CONVERSION YES
               GCC_WARN_SHADOW YES
               CLANG_ENABLE_MODULES YES
               CLANG_MODULES_AUTOLINK YES
               GCC_STRICT_ALIASING YES
               DEFINES_MODULE YES
               SWIFT_OBJC_BRIDGING_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/libobs-metal-Bridging-Header.h"
)

=== plugins/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

option(ENABLE_PLUGINS "Enable building OBS plugins" ON)

if(NOT ENABLE_PLUGINS)
  set_property(GLOBAL APPEND PROPERTY OBS_FEATURES_DISABLED "Plugin Support")
  return()
endif()

set_property(GLOBAL APPEND PROPERTY OBS_FEATURES_ENABLED "Plugin Support")

macro(check_obs_browser)
  if((OS_WINDOWS AND CMAKE_VS_PLATFORM_NAME MATCHES "(ARM64|x64)") OR OS_MACOS OR OS_LINUX)
    if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/obs-browser/CMakeLists.txt")
      message(FATAL_ERROR "Required submodule 'obs-browser' not available.")
    else()
      add_subdirectory(obs-browser)
    endif()
  else()
    add_custom_target(obs-browser)
    target_disable(obs-browser)
  endif()
endmacro()

macro(check_obs_websocket)
  if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/obs-websocket/CMakeLists.txt")
    message(FATAL_ERROR "Required submodule 'obs-websocket' not available.")
  else()
    add_subdirectory(obs-websocket)
  endif()
endmacro()

# Add plugins in alphabetical order to retain order in IDE projects
add_obs_plugin(
    aja
    PLATFORMS WINDOWS MACOS LINUX
    WITH_MESSAGE
)
add_obs_plugin(coreaudio-encoder PLATFORMS WINDOWS MACOS)
add_obs_plugin(
    decklink
    PLATFORMS WINDOWS MACOS LINUX
    WITH_MESSAGE
)
add_obs_plugin(image-source)
add_obs_plugin(linux-alsa PLATFORMS LINUX FREEBSD OPENBSD)
add_obs_plugin(linux-capture PLATFORMS LINUX FREEBSD OPENBSD)
add_obs_plugin(linux-jack PLATFORMS LINUX FREEBSD OPENBSD)
add_obs_plugin(linux-pipewire PLATFORMS LINUX FREEBSD OPENBSD)
add_obs_plugin(linux-pulseaudio PLATFORMS LINUX FREEBSD OPENBSD)
add_obs_plugin(linux-v4l2 PLATFORMS LINUX FREEBSD OPENBSD)
add_obs_plugin(mac-avcapture PLATFORMS MACOS)
add_obs_plugin(mac-capture PLATFORMS MACOS)
add_obs_plugin(mac-syphon PLATFORMS MACOS)
add_obs_plugin(mac-videotoolbox PLATFORMS MACOS)
add_obs_plugin(mac-virtualcam PLATFORMS MACOS)
add_obs_plugin(nv-filters PLATFORMS WINDOWS)

check_obs_browser()

add_obs_plugin(obs-ffmpeg)
add_obs_plugin(obs-filters)
add_obs_plugin(obs-libfdk)
add_obs_plugin(obs-nvenc PLATFORMS WINDOWS LINUX ARCHITECTURES x64 x86_64)
add_obs_plugin(obs-outputs)
add_obs_plugin(
    obs-qsv11
    PLATFORMS WINDOWS LINUX
    ARCHITECTURES x64 x86_64
)
add_obs_plugin(obs-text PLATFORMS WINDOWS)
add_obs_plugin(obs-transitions)
add_obs_plugin(
    obs-vst
    PLATFORMS WINDOWS MACOS LINUX
    WITH_MESSAGE
)
add_obs_plugin(obs-webrtc)

check_obs_websocket()

add_obs_plugin(obs-x264)
add_obs_plugin(oss-audio PLATFORMS FREEBSD OPENBSD)
add_obs_plugin(rtmp-services)
add_obs_plugin(sndio PLATFORMS LINUX FREEBSD OPENBSD)
add_obs_plugin(text-freetype2)
add_obs_plugin(vlc-video WITH_MESSAGE)
add_obs_plugin(win-capture PLATFORMS WINDOWS)
add_obs_plugin(win-dshow PLATFORMS WINDOWS)
add_obs_plugin(win-wasapi PLATFORMS WINDOWS)

=== deps/glad/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

find_package(OpenGL REQUIRED)

add_library(obsglad OBJECT)
add_library(OBS::glad ALIAS obsglad)

target_sources(
  obsglad
  PRIVATE
    src/glad.c
    $<$<PLATFORM_ID:Windows>:src/glad_wgl.c>
    $<$<TARGET_EXISTS:OpenGL::EGL>:src/glad_egl.c>
    $<$<TARGET_EXISTS:OpenGL::EGL>:include/EGL/eglplatform.h>
  PUBLIC
    include/glad/glad.h
    "$<$<PLATFORM_ID:Windows>:${CMAKE_CURRENT_SOURCE_DIR}/include/glad/glad_wgl.h>"
    "$<$<TARGET_EXISTS:OpenGL::EGL>:${CMAKE_CURRENT_SOURCE_DIR}/include/glad/glad_egl.h>"
)

target_compile_options(obsglad PRIVATE $<$<COMPILE_LANG_AND_ID:C,AppleClang,Clang>:-Wno-strict-prototypes>)

target_include_directories(obsglad PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/include")

target_link_libraries(
  obsglad
  PRIVATE $<$<NOT:$<PLATFORM_ID:Windows,Darwin>>:${CMAKE_DL_LIBS}>
  PUBLIC OpenGL::GL $<$<TARGET_EXISTS:OpenGL::EGL>:OpenGL::EGL>
)

set_target_properties(obsglad PROPERTIES FOLDER deps POSITION_INDEPENDENT_CODE TRUE)

=== deps/libdshowcapture/CMakeLists.txt ===
add_library(libdshowcapture INTERFACE)
add_library(OBS::libdshowcapture ALIAS libdshowcapture)

target_sources(
  libdshowcapture
  INTERFACE src/dshowcapture.hpp
            src/source/capture-filter.cpp
            src/source/capture-filter.hpp
            src/source/device-vendor.cpp
            src/source/device.cpp
            src/source/device.hpp
            src/source/dshow-base.cpp
            src/source/dshow-base.hpp
            src/source/dshow-demux.cpp
            src/source/dshow-demux.hpp
            src/source/dshow-device-defs.hpp
            src/source/dshow-encoded-device.cpp
            src/source/dshow-enum.cpp
            src/source/dshow-enum.hpp
            src/source/dshow-formats.cpp
            src/source/dshow-formats.hpp
            src/source/dshow-media-type.cpp
            src/source/dshow-media-type.hpp
            src/source/dshowcapture.cpp
            src/source/dshowencode.cpp
            src/source/encoder.cpp
            src/source/encoder.hpp
            src/source/external/IVideoCaptureFilter.h
            src/source/log.cpp
            src/source/log.hpp
            src/source/output-filter.cpp
            src/source/output-filter.hpp
            src/external/capture-device-support/Library/EGAVResult.cpp
            src/external/capture-device-support/Library/ElgatoUVCDevice.cpp
            src/external/capture-device-support/Library/win/EGAVHIDImplementation.cpp
            src/external/capture-device-support/SampleCode/DriverInterface.cpp)

target_include_directories(
  libdshowcapture INTERFACE "${CMAKE_CURRENT_SOURCE_DIR}/src"
                            "${CMAKE_CURRENT_SOURCE_DIR}/src/external/capture-device-support/Library")

target_compile_definitions(libdshowcapture INTERFACE _UP_WINDOWS=1)
target_compile_options(libdshowcapture INTERFACE /wd4005 /wd4018)

=== deps/w32-pthreads/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

add_library(w32-pthreads SHARED EXCLUDE_FROM_ALL)
add_library(OBS::w32-pthreads ALIAS w32-pthreads)

target_sources(
  w32-pthreads
  PRIVATE implement.h pthread.c pthread.h sched.h semaphore.h w32-pthreads.rc
)

target_compile_definitions(w32-pthreads PRIVATE __CLEANUP_C PTW32_BUILD)

target_include_directories(w32-pthreads PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")

configure_file(cmake/windows/obs-module.rc.in w32-pthreads.rc)

set_target_properties_obs(w32-pthreads PROPERTIES FOLDER deps)

set_property(TARGET w32-pthreads APPEND PROPERTY PUBLIC_HEADER pthread.h sched.h)

target_export(w32-pthreads)

=== docs/sphinx/requirements.txt ===
sphinx>=1.3
sphinx_rtd_theme>=0.5.2

=== frontend/plugins/CMakeLists.txt ===
add_subdirectory(aja-output-ui)
add_subdirectory(decklink-captions)
add_subdirectory(decklink-output-ui)
add_subdirectory(frontend-tools)

=== plugins/coreaudio-encoder/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

if(OS_WINDOWS)
  option(ENABLE_COREAUDIO_ENCODER "Enable building with CoreAudio encoder (Windows)" ON)
  if(NOT ENABLE_COREAUDIO_ENCODER)
    target_disable(coreaudio-encoder)
    return()
  endif()
endif()

add_library(coreaudio-encoder MODULE)
add_library(OBS::coreaudio-encoder ALIAS coreaudio-encoder)

target_sources(coreaudio-encoder PRIVATE encoder.cpp $<$<PLATFORM_ID:Windows>:windows-imports.h>)

target_link_libraries(
  coreaudio-encoder
  PRIVATE
    OBS::libobs
    "$<$<PLATFORM_ID:Darwin>:$<LINK_LIBRARY:FRAMEWORK,AudioToolbox.framework>>"
    "$<$<PLATFORM_ID:Darwin>:$<LINK_LIBRARY:FRAMEWORK,CoreAudio.framework>>"
    "$<$<PLATFORM_ID:Darwin>:$<LINK_LIBRARY:FRAMEWORK,CoreFoundation.framework>>"
)

if(OS_WINDOWS)
  configure_file(cmake/windows/obs-module.rc.in coreaudio-encoder.rc)
  target_sources(coreaudio-encoder PRIVATE coreaudio-encoder.rc)
endif()

set_target_properties_obs(coreaudio-encoder PROPERTIES FOLDER plugins PREFIX "")

=== plugins/image-source/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

add_library(image-source MODULE)
add_library(OBS::image-source ALIAS image-source)

target_sources(image-source PRIVATE color-source.c image-source.c obs-slideshow.c obs-slideshow-mk2.c)

target_link_libraries(image-source PRIVATE OBS::libobs $<$<PLATFORM_ID:Windows>:OBS::w32-pthreads>)

if(OS_WINDOWS)
  configure_file(cmake/windows/obs-module.rc.in image-source.rc)
  target_sources(image-source PRIVATE image-source.rc)
endif()

set_target_properties_obs(image-source PROPERTIES FOLDER plugins PREFIX "")

=== plugins/mac-avcapture/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

add_library(mac-avcapture-legacy MODULE)
add_library(OBS::avcapture-legacy ALIAS mac-avcapture-legacy)

target_sources(mac-avcapture-legacy PRIVATE legacy/av-capture.mm legacy/left-right.hpp legacy/scope-guard.hpp)
target_include_directories(mac-avcapture-legacy PRIVATE legacy)

target_link_libraries(
  mac-avcapture-legacy
  PRIVATE
    OBS::libobs
    "$<LINK_LIBRARY:FRAMEWORK,AVFoundation.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,Cocoa.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,CoreFoundation.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,CoreMedia.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,CoreVideo.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,CoreMediaIO.framework>"
)

set_target_properties_obs(
  mac-avcapture-legacy
  PROPERTIES FOLDER plugins
             PREFIX ""
             XCODE_ATTRIBUTE_CLANG_ENABLE_OBJC_ARC YES
             XCODE_ATTRIBUTE_CLANG_WARN_SUSPICIOUS_IMPLICIT_CONVERSION YES
             XCODE_ATTRIBUTE_GCC_WARN_SHADOW YES
)

add_library(mac-avcapture MODULE)
add_library(OBS::avcapture ALIAS mac-avcapture)

target_sources(
  mac-avcapture
  PRIVATE
    AVCaptureDeviceFormat+OBSListable.m
    AVCaptureDeviceFormat+OBSListable.h
    plugin-main.m
    plugin-main.h
    plugin-properties.m
    plugin-properties.h
    OBSAVCapture.m
    OBSAVCapture.h
    OBSAVCapturePresetInfo.m
    OBSAVCapturePresetInfo.h
)

target_link_libraries(mac-avcapture PRIVATE OBS::libobs)

set_target_properties_obs(
  mac-avcapture
  PROPERTIES FOLDER plugins
             PREFIX ""
             XCODE_ATTRIBUTE_CLANG_ENABLE_OBJC_ARC YES
             XCODE_ATTRIBUTE_CLANG_WARN_SUSPICIOUS_IMPLICIT_CONVERSION YES
             XCODE_ATTRIBUTE_GCC_WARN_SHADOW YES
             XCODE_ATTRIBUTE_CLANG_ENABLE_MODULES YES
             XCODE_ATTRIBUTE_CLANG_MODULES_AUTOLINK YES
             XCODE_ATTRIBUTE_GCC_STRICT_ALIASING YES
)

string(TIMESTAMP CURRENT_YEAR "%Y")
set_target_xcode_properties(
  mac-avcapture
  PROPERTIES INFOPLIST_KEY_NSHumanReadableCopyright "(c) 2023-${CURRENT_YEAR} Patrick Heyer"
)

=== plugins/mac-capture/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

add_library(mac-capture MODULE)
add_library(OBS::capture ALIAS mac-capture)

target_sources(
  mac-capture
  PRIVATE
    audio-device-enum.c
    audio-device-enum.h
    mac-audio.c
    mac-display-capture.m
    mac-sck-audio-capture.m
    mac-sck-common.h
    mac-sck-common.m
    mac-sck-video-capture.m
    mac-window-capture.m
    plugin-main.c
    window-utils.h
    window-utils.m
)

target_link_libraries(
  mac-capture
  PRIVATE
    OBS::libobs
    "$<LINK_LIBRARY:FRAMEWORK,AudioUnit.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,Cocoa.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,CoreAudio.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,CoreFoundation.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,CoreMedia.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,CoreVideo.framework>"
    "$<LINK_LIBRARY:FRAMEWORK,IOSurface.framework>"
    "$<LINK_LIBRARY:WEAK_FRAMEWORK,ScreenCaptureKit.framework>"
)

set_target_properties_obs(
  mac-capture
  PROPERTIES FOLDER plugins
             PREFIX ""
             XCODE_ATTRIBUTE_CLANG_WARN_SUSPICIOUS_IMPLICIT_CONVERSION YES
             XCODE_ATTRIBUTE_GCC_WARN_SHADOW YES
)

if(CMAKE_VERSION VERSION_LESS_EQUAL 3.25.0)
  set_property(TARGET mac-capture PROPERTY XCODE_LINK_BUILD_PHASE_MODE BUILT_ONLY)
endif()

=== debian/changelog ===
obs-studio (32.0.2-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * Completely redo all relevant patches, removing old ones
  * Disable tests until we can figure out where they moved to

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 12 Nov 2025 08:49:32 -0800

=== debian/control ===
Source: obs-studio
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Carl Fürstenberg <azatoth@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-scour,
 dpkg-dev (>= 1.22.5),
 extra-cmake-modules,
 cmake,
 gir1.2-rsvg-2.0,
 libasio-dev,
 libasound2-dev,
 libavcodec-dev,
 libavdevice-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libcmocka-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libdrm-dev,
 libegl-dev,
#libfdk-aac-dev,
 libffmpeg-nvenc-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libglvnd-dev,
 libjack-jackd2-dev,
 libjansson-dev,
 libluajit-5.1-dev,
 libmbedtls-dev,
 libopengl-dev,
 libpci-dev,
 libpipewire-0.3-dev,
 libpulse-dev,
 libqrcodegencpp-dev,
 librist-dev,
 libsimde-dev,
 libspeexdsp-dev,
 libsrt-openssl-dev,
 libswresample-dev,
 libswscale-dev,
 libudev-dev,
 libv4l-dev,
 libva-dev,
 libvlc-dev,
 libvpl-dev [amd64],
 libwayland-dev,
 libwebsocketpp-dev,
 libx11-dev,
 libx11-xcb-dev,
 libx264-dev,
 libxcb-composite0-dev,
 libxcb-randr0-dev,
 libxcb-shm0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinerama0-dev,
 libxcb-xinput-dev,
 libxcb1-dev,
 libxcomposite-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxss-dev,
 ninja-build,
 nlohmann-json3-dev,
 pkgconf | pkg-config,
 python3-dev,
 python3-docutils,
 python3-gi-cairo,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-svg-dev,
 swig,
 uthash-dev,
Standards-Version: 4.7.2
Homepage: https://obsproject.com
Vcs-Browser: https://salsa.debian.org/multimedia-team/obs-studio
Vcs-Git: https://salsa.debian.org/multimedia-team/obs-studio.git
Rules-Requires-Root: no

Package: obs-studio
Architecture: any
Depends:
 qt6-image-formats-plugins,
 qt6-wayland,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 obs-plugins (= ${binary:Version}),
Suggests:
 pkexec | policykit-1,
 v4l2loopback-dkms,
Breaks:
 obs-websocket (<< 4.9.0-2.1~),
Replaces:
 obs-websocket (<< 4.9.0-2.1~),
Description: recorder and streamer for live video content
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 Other features include:
  * Encoding using H264 (x264) and AAC
  * Unlimited number of scenes and sources
  * File output to MP4 or FLV
  * GPU-based game capture for high performance game streaming
  * Bilinear or lanczos3 resampling
 .
 Note that OBS Studio requires an OpenGL 3.2 compatible video card.

Package: obs-plugins
Architecture: any
Built-Using:
 ${simde:Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 vlc,
Multi-Arch: same
Description: recorder and streamer for live video content (plugins)
 OBS Studio is designed for efficiently recording and streaming live
 video content. It supports live RTP streaming to various streaming sites.
 .
 This package contains some extra plugins (ALSA, JACK, PipeWire, DeckLink,
 VLC).

Package: libobs0t64
Provides:
 ${t64:Provides},
Replaces:
 libobs0,
Breaks:
 libobs0 (<< ${source:Version}),
Multi-Arch: same
Section: libs
Architecture: any
Built-Using:
 ${simde:Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: recorder and streamer for live video content (shared library)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the shared library libobs.

Package: libobs-dev
Section: libdevel
Architecture: any
Depends:
 libobs0t64 (= ${binary:Version}),
 libsimde-dev,
 libx11-dev,
 ${misc:Depends},
Description: recorder and streamer for live video content (development files)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

CONFIG=None

export DEB_CPPFLAGS_MAINT_APPEND=-DFFMPEG_MUX_FIXED=\"/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/obs-ffmpeg-mux\"
deb_cflags+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -fvisibility=hidden
deb_cflags+=-Wno-error=deprecated-declarations

confflags  =
confflags += -G Ninja
confflags += -DOBS_MULTIARCH_SUFFIX=/$(DEB_HOST_MULTIARCH)
confflags += -DOBS_VERSION_OVERRIDE=$(subst +dfsg,.1,$(DEB_VERSION))
confflags += -DAPPDATA_RELEASE_DATE=$(shell date --utc --date=@$${SOURCE_DATE_EPOCH} +'%Y-%m-%d')
confflags += -DUNIX_STRUCTURE=TRUE
confflags += -DCMAKE_SKIP_RPATH=TRUE
confflags += -DDISABLE_UPDATE_MODULE=TRUE
confflags += -DBUILD_TESTS=TRUE -DENABLE_UNIT_TESTS=TRUE
confflags += -DENABLE_AJA=FALSE
confflags += -DENABLE_BROWSER=FALSE
confflags += -DENABLE_JACK=TRUE
confflags += -DENABLE_PIPEWIRE=TRUE
confflags += -DENABLE_SNDIO=FALSE
confflags += -DENABLE_VST=FALSE
confflags += -DENABLE_WEBRTC=FALSE

ifeq ($(DEB_HOST_ARCH_CPU), i386)
confflags += -DENABLE_SIMD=FALSE
deb_cflags+=-Wno-error=psabi
endif
DEB_CFLAGS_MAINT_APPEND+=$(deb_cflags)
DEB_CPPFLAGS_MAINT_APPEND+=$(deb_cflags)


BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
%:
	dh $@ --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

execute_before_dh_auto_build:
	@echo 'blhc: ignore-line-regexp: .* -c /usr/share/cmake-[0-9.]*/Modules/CMakeCXXCompilerABI\.cpp .*'

execute_after_dh_auto_build:
	rst2man debian/obs.rst > debian/obs.1


override_dh_auto_test:
#	LD_LIBRARY_PATH=$(BUILDDIR)/rundir/$(CONFIG)/lib/$(DEB_HOST_MULTIARCH) dh_auto_test
#	Diabled for now until someone can figure out what they did with the tests

execute_after_dh_auto_install:
	-find debian/tmp -type f -name "*.pem" -exec chmod a-x {} +
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg
	mv debian/tmp/usr/bin/obs-ffmpeg-mux \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/obs-ffmpeg-mux
execute_after_dh_install:
	rm -rf debian/obs-studio/usr/share/obs/obs-studio/license

execute_before_dh_shlibdeps:
	echo "libobs 0 libobs0t64 (= $(DEB_VERSION))" > debian/shlibs.local

override_dh_python3:
	dh_python3 -p obs-studio usr/share/obs/obs-plugins/frontend-tools/scripts
	dh_python3 -p obs-studio usr/lib/$(DEB_HOST_MULTIARCH)/obs-scripting

override_dh_gencontrol:
	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"

################################################################
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*|.*\.ttf|.*\.png|cmake/macos/resources/AppIcon.icns|cmake/macos/resources/background.tiff|UI/cmake/windows/obs-studio\.ico
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## obs-studio 32.0.3

=== debian/changelog ===
obs-studio (32.0.3-0ubuntu2) resolute; urgency=medium

  * Rebuild with amd64v3 support

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 05 Dec 2025 17:13:19 -0800

obs-studio (32.0.3-0ubuntu1) resolute; urgency=medium

  * New upstream release.
  * d/control: Only build for supported architectures

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 05 Dec 2025 17:02:38 -0800

## obs-studio 32.0.4

=== debian/changelog ===
obs-studio (32.0.4-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Wed, 31 Dec 2025 14:13:43 +0000

obs-studio (32.0.4-0ubuntu1) resolute; urgency=medium

  * New upstream release.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 13 Dec 2025 14:59:26 -0800

=== debian/control ===
--- 
+++ 
@@ -85,7 +85,7 @@
 Rules-Requires-Root: no
 
 Package: obs-studio
-Architecture: any
+Architecture: amd64 amd64v3 arm64 riscv64 s390x
 Depends:
  qt6-image-formats-plugins,
  qt6-wayland,
@@ -115,7 +115,7 @@
  Note that OBS Studio requires an OpenGL 3.2 compatible video card.
 
 Package: obs-plugins
-Architecture: any
+Architecture: amd64 amd64v3 arm64 riscv64 s390x
 Built-Using:
  ${simde:Built-Using},
 Depends:
@@ -140,7 +140,7 @@
  libobs0 (<< ${source:Version}),
 Multi-Arch: same
 Section: libs
-Architecture: any
+Architecture: amd64 amd64v3 arm64 riscv64 s390x
 Built-Using:
  ${simde:Built-Using},
 Depends:
@@ -154,7 +154,7 @@
 
 Package: libobs-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 amd64v3 arm64 riscv64 s390x
 Depends:
  libobs0t64 (= ${binary:Version}),
  libsimde-dev,

## obs-studio 32.0.4+ds

=== debian/changelog ===
obs-studio (32.0.4+ds-1~exp1) experimental; urgency=medium

  * New upstream version 32.0.4+ds
    + Drop obsolete patches
    + Refresh patches
  * libobs0t64
    + Update symbols file
    + Force soname to 0 (upstream changes ABI but does not bump soname)
  * Re-introduce B-D on libvpl-dev (on amd64), as it is no longer unused.
  * Sort patches: first code, then buildsystem
  * Fix another 32bit FTBFS
  * Re-include 'obs-qsv11' plugin (the license problem has been resolved)
  * Install obs-nvenc-test helper binary into private location
  * Move arch-independent files into obs-studio-common
  * Depend on polkitd rather than deprecated policykit-1
  * Strip internal compiler flags from pkg-config files
  * Skip 'make test' as upstream no longer has a test-suite
  * Slightly restructure setting of additional CPPFLAGS
  * Update Build-Dependencies
    - Drop B-D on obsolete pkg-config
  * Update copyright information
    + Update licenses
    + Drop obsolete excluded files
    + Re-generate d/copyright_hints
  * Remove trailing whitespace from d/changelog
  * Update d/watch to version 5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 21 Feb 2026 21:34:38 +0100

obs-studio (30.2.3+dfsg-4) unstable; urgency=medium

  [ Bastian Germann ]
  * Drop unused libvpl (Closes: #1121381)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Acknowldge NMUs (Kudos Adrian Bunk)
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete 'Rules-Requires-Root: no' stanza.
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 21 Feb 2026 11:29:03 +0100

obs-studio (30.2.3+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with FFmpeg 8. (Closes: #1115044)

 -- Adrian Bunk <bunk@debian.org>  Sat, 03 Jan 2026 19:53:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: obs-studio
 Section: video
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Carl Fürstenberg <azatoth@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
@@ -11,8 +9,8 @@
  dh-sequence-python3,
  dh-sequence-scour,
  dpkg-dev (>= 1.22.5),
+ cmake,
  extra-cmake-modules,
- cmake,
  gir1.2-rsvg-2.0,
  libasio-dev,
  libasound2-dev,
@@ -69,7 +67,7 @@
  libxss-dev,
  ninja-build,
  nlohmann-json3-dev,
- pkgconf | pkg-config,
+ pkgconf,
  python3-dev,
  python3-docutils,
  python3-gi-cairo,
@@ -78,15 +76,16 @@
  qt6-svg-dev,
  swig,
  uthash-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com
 Vcs-Browser: https://salsa.debian.org/multimedia-team/obs-studio
 Vcs-Git: https://salsa.debian.org/multimedia-team/obs-studio.git
-Rules-Requires-Root: no
 
 Package: obs-studio
-Architecture: amd64 amd64v3 arm64 riscv64 s390x
+Architecture: any
 Depends:
+ obs-studio-common (<< ${source:Upstream-Version}+1~),
+ obs-studio-common (>= ${source:Version}),
  qt6-image-formats-plugins,
  qt6-wayland,
  ${misc:Depends},
@@ -95,7 +94,7 @@
 Recommends:
  obs-plugins (= ${binary:Version}),
 Suggests:
- pkexec | policykit-1,
+ pkexec | polkitd,
  v4l2loopback-dkms,
 Breaks:
  obs-websocket (<< 4.9.0-2.1~),
@@ -114,8 +113,27 @@
  .
  Note that OBS Studio requires an OpenGL 3.2 compatible video card.
 
+Package: obs-studio-common
+Architecture: all
+Depends:
+ ${misc:Depends},
+Recommends:
+ obs-studio,
+Description: recorder and streamer for live video content (common files)
+ OBS Studio is designed for efficiently recording and streaming live video
+ content. It supports live RTP streaming to various streaming sites.
+ .
+ Other features include:
+  * Encoding using H264 (x264) and AAC
+  * Unlimited number of scenes and sources
+  * File output to MP4 or FLV
+  * GPU-based game capture for high performance game streaming
+  * Bilinear or lanczos3 resampling
+ .
+ This package contains the architecture independent files for obs-studio.
+
 Package: obs-plugins
-Architecture: amd64 amd64v3 arm64 riscv64 s390x
+Architecture: any
 Built-Using:
  ${simde:Built-Using},
 Depends:
@@ -140,7 +158,7 @@
  libobs0 (<< ${source:Version}),
 Multi-Arch: same
 Section: libs
-Architecture: amd64 amd64v3 arm64 riscv64 s390x
+Architecture: any
 Built-Using:
  ${simde:Built-Using},
 Depends:
@@ -154,7 +172,7 @@
 
 Package: libobs-dev
 Section: libdevel
-Architecture: amd64 amd64v3 arm64 riscv64 s390x
+Architecture: any
 Depends:
  libobs0t64 (= ${binary:Version}),
  libsimde-dev,

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,13 @@
 
 CONFIG=None
 
-export DEB_CPPFLAGS_MAINT_APPEND=-DFFMPEG_MUX_FIXED=\"/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/obs-ffmpeg-mux\"
-deb_cflags+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -fvisibility=hidden
+deb_cflags=
+deb_cflags+=-DFFMPEG_MUX_FIXED=\"/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/obs-ffmpeg-mux\"
+deb_cflags+=-DNVENC_TEST_FIXED=\"/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-nvenc/obs-nvenc-test\"
+
+deb_cflags+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd
+
+deb_cflags+=-O3 -fvisibility=hidden
 deb_cflags+=-Wno-error=deprecated-declarations
 
 confflags  =
@@ -30,8 +35,9 @@
 confflags += -DENABLE_SIMD=FALSE
 deb_cflags+=-Wno-error=psabi
 endif
+
+export DEB_CPPFLAGS_MAINT_APPEND=$(deb_cflags)
 DEB_CFLAGS_MAINT_APPEND+=$(deb_cflags)
-DEB_CPPFLAGS_MAINT_APPEND+=$(deb_cflags)
 
 
 BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
@@ -49,16 +55,24 @@
 
 
 override_dh_auto_test:
-#	LD_LIBRARY_PATH=$(BUILDDIR)/rundir/$(CONFIG)/lib/$(DEB_HOST_MULTIARCH) dh_auto_test
-#	Diabled for now until someone can figure out what they did with the tests
+#LD_LIBRARY_PATH=$(BUILDDIR)/rundir/$(CONFIG)/lib/$(DEB_HOST_MULTIARCH) dh_auto_test
 
 execute_after_dh_auto_install:
+# fix permissions
 	-find debian/tmp -type f -name "*.pem" -exec chmod a-x {} +
+# helper binary for obs-plugin
 	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg
 	mv debian/tmp/usr/bin/obs-ffmpeg-mux \
-		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/obs-ffmpeg-mux
-execute_after_dh_install:
-	rm -rf debian/obs-studio/usr/share/obs/obs-studio/license
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/
+# helper binary for obs-nvenc
+	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-nvenc/
+	mv debian/tmp/usr/bin/obs-nvenc-test \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-nvenc/
+# stray license file
+	rm -rf debian/tmp/usr/share/obs/obs-studio/license
+# drop CFLAGS from pkg-config files
+	-find debian/tmp -type f -name "*.pc" -exec \
+		sed -e 's| -fPIC | |g' -e 's| -fvisibility=hidden | |g' -e 's/ -Werror$$//' -i {} +
 
 execute_before_dh_shlibdeps:
 	echo "libobs 0 libobs0t64 (= $(DEB_VERSION))" > debian/shlibs.local
